=== debian/changelog ===
libjpeg (0.0~git20190821.87636f3b26b4-1) unstable; urgency=medium

  * d/watch: Add missing watch file
  * New upstream version 0.0~git20190821.87636f3b26b4
  * d/rules: Fix lintian debhelper-tools-from-autotools-dev-are-deprecated
  * d/rules: Update man page generation

 -- Mathieu Malaterre <malat@debian.org>  Wed, 09 Oct 2019 15:02:55 +0200

libjpeg (0.0~git20180720.99764820d250-3) unstable; urgency=medium

  * d/control: Update Std-Vers no changes needed
  * d/rules Do not use install rule (DESTDIR broken)
  * Run wrap and sort for cleanups

 -- Mathieu Malaterre <malat@debian.org>  Thu, 03 Oct 2019 09:18:30 +0200

libjpeg (0.0~git20180720.99764820d250-2) unstable; urgency=medium

  * d/patches: Fix build inside sbuild. Closes: #939654

 -- Mathieu Malaterre <malat@debian.org>  Mon, 30 Sep 2019 14:47:13 +0200

libjpeg (0.0~git20180720.99764820d250-1) unstable; urgency=medium

  * Initial release (Closes: #912208)

 -- Mathieu Malaterre <malat@debian.org>  Tue, 28 May 2019 21:56:26 +0200
