=== debian/control ===
Source: libjpeg
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: autotools-dev, debhelper (>= 9.20160114), help2man
Standards-Version: 4.4.1
Homepage: https://github.com/thorfdbg/libjpeg
Vcs-Git: https://salsa.debian.org/debian-phototools-team/libjpeg.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libjpeg

Package: libjpeg-tools
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Complete implementation of 10918-1 (JPEG)
 A complete implementation of 10918-1 (JPEG) coming from jpeg.org (the ISO
 group) with extensions for HDR currently discussed for standardization.
 .
 This release also includes the "JPEG on Steroids" improvements implemented for
 the ICIP 2016 Grand Challenge on Image Compression.
