## libjpeg 0.0~git20200721.e524066

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #! make
 #######################################################################
 ##
-## $Id: Makefile,v 1.14 2018/04/14 21:59:35 thor Exp $
+## $Id: Makefile,v 1.15 2020/07/21 06:43:10 thor Exp $
 ##
 #######################################################################
 ## Makefile for the jpeg project,
@@ -302,7 +302,8 @@
 	@ $(ZIP) -r Distrib.zip configure configure.in automakefile.in autoconfig.h.in
 	@ $(ZIP) -r Distrib.zip dox/html
 	@ $(ZIP) -r Distrib.zip vs10.0 --exclude '*CVS*' 
-	@ $(ZIP) -r Distrib.zip vs12.0 --exclude '*CVS*' 
+	@ $(ZIP) -r Distrib.zip vs12.0 --exclude '*CVS*'
+	@ $(ZIP) -r Distrib.zip vs15.0 --exclude '*CVS*' 
 
 isodistrib:	ISODistrib.zip
 
@@ -323,6 +324,7 @@
 	@ $(ZIP) -r ISODistrib.zip configure configure.in automakefile.in autoconfig.h.in
 	@ $(ZIP) -r ISODistrib.zip vs10.0 --exclude '*CVS*'
 	@ $(ZIP) -r ISODistrib.zip vs12.0 --exclude '*CVS*'
+	@ $(ZIP) -r ISODistrib.zip vs15.0 --exclude '*CVS*'
 
 gpldistrib:	GPLDistrib.zip
 
@@ -344,6 +346,7 @@
 	@ $(ZIP) -r GPLDistrib.zip configure configure.in automakefile.in autoconfig.h.in
 	@ $(ZIP) -r GPLDistrib.zip vs10.0 --exclude '*CVS*'
 	@ $(ZIP) -r GPLDistrib.zip vs12.0 --exclude '*CVS*'
+	@ $(ZIP) -r GPLDistrib.zip vs15.0 --exclude '*CVS*'
 
 ##
 ## The public distribution, no patented code, with the stripped headers.
@@ -356,5 +359,3 @@
 	@ sleep 2
 	@ touch configure
 	@ $(MAKE) --no-print-directory $(DIRLIBS) TARGET="ituzip"
-	@ $(ZIPASCII) -r ITUDistrib.zip README README.license.itu README.history Compile.txt config.h
-	@ $(ZIP) -r ITUDistrib.zip Makefile Makefile.template Makefile_Settings.*
