=== debian/changelog ===
libjpeg (0.0~git20200721.e524066-1) unstable; urgency=medium

  * d/copyright: Exclude all files from vs15.0 directory
  * New upstream version 0.0~git20200721.e524066
  * d/patches: Fix typos reported by lintian
  * d/patches: Fix typo 'between'
  * d/copyright: Fix typo from upstream 'between'
  * d/patches: Update patches headers

 -- Mathieu Malaterre <malat@debian.org>  Wed, 26 Aug 2020 15:12:34 +0200

libjpeg (0.0~git20200408.cf4cc9c-1) unstable; urgency=medium

  * d/control: Bump Std-Vers to 4.5.0, no changes needed
  * New upstream version 0.0~git20200408.cf4cc9c
  * d/patches: Refresh patches

 -- Mathieu Malaterre <malat@debian.org>  Thu, 07 May 2020 21:43:48 +0200

libjpeg (0.0~git20190821.87636f3b26b4-1.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Improve cross building: (Closes: #947139)
    + Let debhelper perform configuration with --host.
    + cross.patch: Replace a lot of AC_TRY_RUN.

 -- Mathieu Malaterre <malat@debian.org>  Fri, 14 Feb 2020 21:24:27 +0100
