=== debian/control ===
--- 
+++ 
@@ -3,8 +3,11 @@
 Priority: optional
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
-Build-Depends: autotools-dev, debhelper (>= 9.20160114), help2man
-Standards-Version: 4.4.1
+Build-Depends: autotools-dev,
+               debhelper (>= 9.20160114),
+               dh-autoreconf,
+               help2man
+Standards-Version: 4.5.0
 Homepage: https://github.com/thorfdbg/libjpeg
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libjpeg.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libjpeg
