## libjpeg 0.0~git20210129.91985dc

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #! make
 #######################################################################
 ##
-## $Id: Makefile,v 1.15 2020/07/21 06:43:10 thor Exp $
+## $Id: Makefile,v 1.16 2020/09/21 11:00:52 thor Exp $
 ##
 #######################################################################
 ## Makefile for the jpeg project,
@@ -358,4 +358,5 @@
 	@ touch autoconfig.h.in
 	@ sleep 2
 	@ touch configure
+	@ rm *~
 	@ $(MAKE) --no-print-directory $(DIRLIBS) TARGET="ituzip"
