=== colortrafo/Makefile ===
##
## $Id: Makefile,v 1.11 2014/09/12 11:40:43 thor Exp $
##
## Makefile for the j2k transcoder project,
## THOR Software, 2. Jul. 2003, Thomas Richter for
## Pegasus Digital Imaging
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	colortrafo integertrafo floattrafo \
		ycbcrtrafo multiplicationtrafo \
		lslosslesstrafo trivialtrafo colortransformerfactory

DIRNAME	=	colortrafo
SUPER	=	../

include	../Makefile.template
