=== tools/Makefile ===
##
## $Id: Makefile,v 1.7 2014/02/06 13:10:56 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	debug environment traits rectangle line \
		priorityqueue numerics checksum

XFILES	=	

XDIST	=	

DIRNAME	=	tools
SUPER	=	../

include	../Makefile.template
