=== upsampling/Makefile ===
##
## $Id: Makefile,v 1.7 2017/06/02 21:17:40 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	upsamplerbase upsampler cositedupsampler \
		downsamplerbase downsampler interdownsampler

DIRNAME	=	upsampling
SUPER	=	../

include	../Makefile.template
