=== debian/changelog ===
libjpeg (0.0~git20210129.91985dc-1build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 16:58:39 +0000

libjpeg (0.0~git20210129.91985dc-1) unstable; urgency=medium

  * New upstream version 0.0~git20210129.91985dc
  * d/control: Bumpt Std-Vers to 4.5.1, no changed needed

 -- Mathieu Malaterre <malat@debian.org>  Thu, 11 Feb 2021 09:47:20 +0100

libjpeg (0.0~git20200925.f145908-1) unstable; urgency=medium

  * New upstream version 0.0~git20200925.f145908
  * d/patches: Remove patches applied upstream
  * d/patches: Refresh cross compilation patch
  * d/control: Update compat to 13

 -- Mathieu Malaterre <malat@debian.org>  Thu, 12 Nov 2020 14:08:36 +0100
