=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: libjpeg
 Section: graphics
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
-Build-Depends: autotools-dev,
-               debhelper (>= 9.20160114),
-               dh-autoreconf,
-               help2man
-Standards-Version: 4.5.0
+Build-Depends: autotools-dev, debhelper-compat (= 13), dh-autoreconf, help2man
+Standards-Version: 4.5.1
 Homepage: https://github.com/thorfdbg/libjpeg
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libjpeg.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libjpeg
