## libjpeg 0.0~git20211203.966a8ed

=== interface/Makefile ===
##
## $Id: Makefile,v 1.4 2012/05/20 16:17:27 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	hooks parameters tagitem types jpgtypes \
		imagebitmap bitmaphook jpeg

DIRNAME	=	interface
SUPER	=	../

include	../Makefile.template
