=== io/Makefile ===
##
## $Id: Makefile,v 1.7 2014/02/06 13:10:55 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	bytestream randomaccessstream iostream bitstream \
		memorystream decoderstream staticstream checksumadapter

DIRNAME	=	io
SUPER	=	../

include	../Makefile.template
