=== std/Makefile ===
##
## $Id: Makefile,v 1.2 2012/05/20 16:17:27 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	stdlib stdio math stdarg setjmp \
		errno string ctype stddef unistd \
		assert

XFILES	=	

DIRNAME	=	std
SUPER	=	../

include	../Makefile.template
