=== debian/changelog ===
libjpeg (0.0~git20211203.966a8ed-1) unstable; urgency=medium

  * New upstream version 0.0~git20211203.966a8ed

 -- Mathieu Malaterre <malat@debian.org>  Fri, 11 Feb 2022 17:23:35 +0100

libjpeg (0.0~git20211115.76133b7-1) unstable; urgency=medium

  * New upstream version 0.0~git20211115.76133b7

 -- Mathieu Malaterre <malat@debian.org>  Mon, 15 Nov 2021 12:03:17 +0100

libjpeg (0.0~git20210908.58455ca-1) unstable; urgency=medium

  * New upstream version 0.0~git20210908.58455ca
  * d/control: Bump Std-Vers to 4.6.0, no changes needed
  * d/patches: reasonable compiler identification Closes: #980421
  * d/patches: Refresh patches

 -- Mathieu Malaterre <malat@debian.org>  Tue, 09 Nov 2021 10:43:21 +0100
