## libjpeg 0.0~git20220615.842c7ba

=== debian/changelog ===
libjpeg (0.0~git20220615.842c7ba-2) unstable; urgency=medium

  * d/patches: fix ftbfs. Closes: #1013649

 -- Mathieu Malaterre <malat@debian.org>  Thu, 11 Aug 2022 16:28:56 +0200

libjpeg (0.0~git20220615.842c7ba-1) unstable; urgency=medium

  * d/u/metadata: Fix lintian report on missing metadata
  * d/control: Add Rules-Requires-Root: no
  * d/copyright: Refresh year to 2022
  * New upstream version 0.0~git20220615.842c7ba
  * d/patches: Refresh patches
  * d/control: Bump Std-Vers to 4.6.1 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Mon, 20 Jun 2022 16:48:10 +0200

libjpeg (0.0~git20220228.acfec20-1) unstable; urgency=medium

  * d/manpages: Add examples section in man page
  * d/docs: Properly install upstream README
  * New upstream version 0.0~git20220228.acfec20

 -- Mathieu Malaterre <malat@debian.org>  Wed, 02 Mar 2022 10:19:12 +0100
