=== dct/Makefile ===
##
## $Id: Makefile,v 1.14 2016/10/28 13:58:53 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	dct idct liftingdct deringing

DIRNAME	=	dct
SUPER	=	../

include	../Makefile.template
