=== debian/changelog ===
libjpeg (0.0~git20220805.54ec643-1) unstable; urgency=medium

  * New upstream version 0.0~git20220805.54ec643

 -- Mathieu Malaterre <malat@debian.org>  Wed, 04 Jan 2023 11:01:20 +0100
