=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
 Build-Depends: autotools-dev, debhelper-compat (= 13), dh-autoreconf, help2man
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/thorfdbg/libjpeg
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libjpeg.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libjpeg
+Rules-Requires-Root: no
 
 Package: libjpeg-tools
 Architecture: any
