=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #export DH_VERBOSE = 1
 
 %:
-	dh $@
+	dh $@ --with=autoreconf
 
 override_dh_installdocs: debian/jpeg.1
 		dh_installdocs
