=== boxes/Makefile ===
##
## $Id: Makefile,v 1.15 2015/03/11 16:02:38 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	box superbox namespace filetypebox databox tonemapperbox \
		inversetonemappingbox floattonemappingbox \
		parametrictonemappingbox nonlineartrafobox colortrafobox \
		dctbox outputconversionbox refinementspecbox mergingspecbox \
		matrixbox lineartransformationbox floattransformationbox \
		checksumbox alphabox

DIRNAME	=	boxes
SUPER	=	../

include	../Makefile.template
