=== cmd/Makefile ===
##
## $Id: Makefile,v 1.5 2015/03/11 16:02:41 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

XFILES	=	main bitmaphook filehook iohelpers tmo defaulttmoc \
		encodea encodeb encodec reconstruct

XDIST	=	

DIRNAME	=	cmd
SUPER	=	../

include	../Makefile.template
