=== coding/Makefile ===
##
## $Id: Makefile,v 1.10 2012/05/20 16:17:27 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	decodertemplate huffmantemplate arithmetictemplate \
		huffmancoder huffmandecoder blockrow quantizedrow \
		arthdeco qmcoder huffmanstatistics actemplate

DIRNAME	=	coding
SUPER	=	../

include	../Makefile.template
