=== control/Makefile ===
##
## $Id: Makefile,v 1.13 2013/03/05 08:12:39 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	bitmapctrl residualblockhelper \
		blockctrl blockbuffer residualbuffer linebuffer \
		blockbitmaprequester linebitmaprequester \
		lineadapter blocklineadapter linelineadapter \
		linemerger hierarchicalbitmaprequester bufferctrl

DIRNAME	=	control

SUPER	=	../

include	../Makefile.template
