=== marker/Makefile ===
##
## $Id: Makefile,v 1.16 2016/10/28 13:58:54 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	quantization quantizationtable \
		huffmantable frame component scan \
		adobemarker jfifmarker exifmarker \
		actable restartintervalmarker scantypes \
		thresholds lscolortrafo

DIRNAME	=	marker
SUPER	=	../

include	../Makefile.template
