=== debian/changelog ===
libjpeg (0.0~git20241105.c719010-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (Closes: #1041103)
     - CVE-2023-37836
     - CVE-2023-37837
  * Standards-Version: 4.7.0
  * Reorder sequence of d/control fields by cme (routine-update)
  * Drop useless get-orig-source target (routine-update)
  * Add salsa-ci file (routine-update)
  * Trim trailing whitespace.
  * Drop unnecessary dependency on dh-autoreconf.
  * d/clean: add clean debian/jpeg.1
  * d/rules: add override_dh_auto_clean target (Closes: #1091050)
  * d/copyright:
      - remove Files-Excluded field, not repackage source
      - update-debian-copyright year info to 2025

 -- xiao sheng wen <atzlinux@debian.org>  Tue, 21 Jan 2025 15:30:53 +0800
