=== debian/control ===
Source: libjpeg
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13),
               help2man
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libjpeg
Vcs-Git: https://salsa.debian.org/debian-phototools-team/libjpeg.git
Homepage: https://github.com/thorfdbg/libjpeg
Rules-Requires-Root: no

Package: libjpeg-tools
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Complete implementation of 10918-1 (JPEG)
 A complete implementation of 10918-1 (JPEG) coming from jpeg.org (the ISO
 group) with extensions for HDR currently discussed for standardization.
 .
 This release also includes the "JPEG on Steroids" improvements implemented for
 the ICIP 2016 Grand Challenge on Image Compression.
