=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,13 @@
 #export DH_VERBOSE = 1
 
 %:
-	dh $@ --with=autoreconf
+	dh $@
 
 override_dh_installdocs: debian/jpeg.1
 		dh_installdocs
+
+override_dh_auto_clean:
+	$(MAKE) realclean
 
 override_dh_auto_install-arch:
 	# nothing since I cannot get DESTDIR to work
@@ -27,6 +30,3 @@
 		--version-string=$(VERSION) \
 		--output=$@ --no-info debian/fake
 endif
-
-get-orig-source:
-	uscan --download --force-download --rename
