## libjpeg 0.0~git20250815.25f7128

=== debian/changelog ===
libjpeg (0.0~git20250815.25f7128-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version: 4.7.3
  * d/copyright: update year info to 2026
  * add d/p/Makefile_Settings.gcc-Hardening.patch, Closes: #1124869
  * d/rules:
      - add export DEB_BUILD_MAINT_OPTIONS = hardening=+all
      - change override_dh_installdocs target to execute_before_dh_installman

 -- xiao sheng wen <atzlinux@debian.org>  Fri, 09 Jan 2026 11:03:53 +0800

libjpeg (0.0~git20250815.25f7128-1) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version: 4.7.2
  * d/control: delete Rules-Requires-Root: no, useless
  * add debian/gbp.conf
  * New upstream version 0.0~git20250815.25f7128(1.71)

 -- xiao sheng wen <atzlinux@debian.org>  Sun, 14 Dec 2025 10:24:59 +0800
