=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                help2man
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libjpeg
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libjpeg.git
 Homepage: https://github.com/thorfdbg/libjpeg
-Rules-Requires-Root: no
 
 Package: libjpeg-tools
 Architecture: any
