=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,18 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
 	dh $@
-
-override_dh_installdocs: debian/jpeg.1
-		dh_installdocs
 
 override_dh_auto_clean:
 	$(MAKE) realclean
 
 override_dh_auto_install-arch:
 	# nothing since I cannot get DESTDIR to work
+
+execute_before_dh_installman: debian/jpeg.1
 
 VERSION=$(shell grep Release README | tail -1 | cut -f1 -d: | cut -f2 -d' ')
